Tuples.INRaw (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3

## Class Tuples.INRaw

- java.lang.Object
- - org.apache.cassandra.cql3.AbstractMarker.Raw
  - - org.apache.cassandra.cql3.Tuples.INRaw

- All Implemented Interfaces:
    AssignementTestable, Term.Raw
  Enclosing class:
    Tuples

      public static class Tuples.INRaw
      extends AbstractMarker.Raw

  A raw marker for an IN list of tuples, like "SELECT ... WHERE (a, b, c) IN ?"

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.AbstractMarker.Raw

      `bindIndex`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tuples.INRaw(int bindIndex)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractMarker` | `prepare(java.lang.String keyspace, ColumnSpecification receiver)` This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.
    `AbstractMarker` | `prepare(java.lang.String keyspace, java.util.List<? extends ColumnSpecification> receivers)`

    - ### Methods inherited from class org.apache.cassandra.cql3.AbstractMarker.Raw

      `isAssignableTo, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Tuples.INRaw

          public Tuples.INRaw(int bindIndex)

  - ### Method Detail

    - #### prepare

          public AbstractMarker prepare(java.lang.String keyspace,
                               java.util.List<? extends ColumnSpecification> receivers)
                                 throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### prepare

          public AbstractMarker prepare(java.lang.String keyspace,
                               ColumnSpecification receiver)

      Description copied from interface: `Term.Raw`
      This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.
      Specified by:
        `prepare` in interface `Term.Raw`
      Overrides:
        `prepare` in class `AbstractMarker.Raw`
        `receiver` - the "column" this RawTerm is supposed to be a value of. Note that the ColumnSpecification may not correspond to a real column in the case this RawTerm describe a list index or a map key, etc...
      Returns:
        the prepared term.

Copyright © 2014 The Apache Software Foundation